Subject: RE: bug#41097: 28.0.50; (dired-toggle-marks) not working after copy

From: Drew Adams <[email-masked]>
Date: Mon, 11 May 2020 09:41:10 -0700 (PDT)

> So people are supposed to keep in their mind all this distinction when
> it is a flag and when it is a mark? 

Not necessary, really, I think.  Pretty much every
time "flag" is used it's accompanied by "deletion".
(Extra emphasis, I imagine.)

> So we are supposed to "flag" for
> deletion, but "mark" for copy. Is it really necessary?

Necessary?  No.  What's necessary, besides read,
eval, print?  Someone thought it was helpful.
Probably someone who was worried about users
accidentally deleting files.  Maybe the same
someone who implemented prompting for deletion
confirmation.

> Does it really need to be that complicated,

Is it really complicated?  As one user, I don't
think so.  But YMMV.

> I mean, cognitively speaking? Does it
> really add anything in quality if you distinct between "marking" and
> "flagging" for deletion?

Someone thought so.  I agree with whoever that
was.  But I'm just one user, like you.

> What is wrong to just simply "mark" files
> with different "flags"?

I don't think anyone said there's anything wrong
with that.  But in that case, there's also no
reason to introduce two different terms - just
"mark" with different "marks".

> I am not native english speaker, but it feels I could equally "flag"
> and "mark" my files for deletion.

It's fine with me if everyone wants to remove mention
of "flag" and "flagging".  If you do that, please do
it well, everywhere.  Say explicitly which marks are
involved for each action, unless an action applies to
all marks.

If you make such a change, it's not just a fix for
this minor bug.  You'll need to adjust text, menus,
etc. everywhere, to be consistent.

(IMHO, there's no need in that case to also change
function and variable names.  Ideally, yes, if use of
"flag" is removed then Dired functions and vars with
"flag" in their name should be renamed.  Similarly, but
with less importance, functions and vars with "mark" in
their name should ideally be renamed if they affect
only certain marks - to say that.  But I wouldn't ask
for any such renamings, personally.)

My only position here has been to say what the Dired
convention is and has always been.  And to say that
I think it should be respected consistently.  Any
inconsistencies are candidates for correction.

The convention doesn't come from me.  I'm just the
messenger, reminding us about it.  As a user who knows
it, I've benefitted from it (when I see "flag" I know
it's about deletion).  But I won't argue that the
convention can't be changed.

If someone proposes to change the convention, e.g. to
remove any mention of "flag", then please do that
consistently.  That's all.